import { Center, Box, Heading, VStack, FormControl, Link, Input, Button, HStack, Text, ScrollView } from "native-base"
import { axiosInstance } from "../api/api"



const ScrollViewTest = () => {
    const colors = ["red.200", "orange.200", "yellow.200", "green.200", "teal.200", "blue.200", "cyan.200", "purple.200", "pink.200"]

    return (
        <ScrollView>
            <Center w="100%">
                <Box safeArea p="2" py="8" w="90%" maxW="290">
                    <Heading size="lg" fontWeight="600" color="coolGray.800" _dark={{
                        color: "warmGray.50"
                    }}>
                        Welcome
                    </Heading>
                    <Heading mt="1" _dark={{
                        color: "warmGray.200"
                    }} color="coolGray.600" fontWeight="medium" size="xs">
                        Sign in to continue!
                    </Heading>

                    <VStack space={3} mt="5">
                        <FormControl>
                            <FormControl.Label>Email ID</FormControl.Label>
                            <Input />
                        </FormControl>
                        <FormControl>
                            <FormControl.Label>Password</FormControl.Label>
                            <Input type="password" />
                            <Link _text={{
                                fontSize: "xs",
                                fontWeight: "500",
                                color: "indigo.500"
                            }} alignSelf="flex-end" mt="1">
                                Forget Password?
                            </Link>
                        </FormControl>
                        <Button mt="2" colorScheme="indigo">
                            Sign in
                        </Button>
                        <HStack mt="6" justifyContent="center">
                            <Text fontSize="sm" color="coolGray.600" _dark={{
                                color: "warmGray.200"
                            }}>
                                I'm a new user.{" "}
                            </Text>
                            <Link _text={{
                                color: "indigo.500",
                                fontWeight: "medium",
                                fontSize: "sm"
                            }} href="#">
                                Sign Up
                            </Link>
                        </HStack>
                    </VStack>
                </Box>
                <ScrollView horizontal={true}>
                    {colors.map((color, index) => (
                        <Box
                            key={index}
                            bg={color}
                            w="150"
                            h="150"
                            marginX={5}
                        >
                        </Box>
                    ))}
                </ScrollView>
            </Center>
        </ScrollView>
    )
}

export default ScrollViewTest